build arm linux toolchain with glibc-2.4

Dan Kegel dank@kegel.com
Sun Apr 16 14:04:00 GMT 2006


On 4/16/06, Wu Bridge <mingqiao.wu@gmail.com> wrote:
>  I have ever built a gcc-3.4.3-glibc-2.3.2-toolchain on xscale successfully
> with crosstool (so cool to adapt to so many cases). That uses glibc-2.3.2.
> Now I want to upgrade glibc-2.3.2 to glibc-2.4 to support NPTL. But
> GLIBC-2.4 will no longer be compatible with GCC 3.x, it won't support
> LinuxThreads (only Native Posix Thread Library), and all non-desktop CPUs
> will be moved to an unsupported ports add-on. The NPTL support on arm
> architecture is moved to glibc-ports-2.4 package.
>
>  I found the latest supported glibc in crosstool is glibc-2.3.6. So how to
> build xscale toolchain with glibc-2.4 and crosstool? Any comments are
> appreciated.

It's been discussed.  A few people are trying it.  See e.g.
http://sourceware.org/ml/crossgcc/2006-03/msg00090.html
http://sourceware.org/ml/crossgcc/2006-03/msg00097.html
http://sourceware.org/ml/crossgcc/2006-03/msg00102.html
http://sourceware.org/ml/crossgcc/2006-03/msg00107.html

> BTW: It seems crossgcc mailinglist has been changed not permit me send mail any more. I tried the new address but failed.

I'm sorry you're having problems posting to crossgcc.
- Dan

--
For unsubscribe information see http://sourceware.org/lists.html#faq



More information about the crossgcc mailing list